# serialboard

serialboard is a simple script that uses the <pinboard.in> API to make following web serials (comics, fiction, etc) easy!


## Installation

With docker installed, building a docker image is as easy as:

    $ make

If you don't like docker, you should be able to get by with:

    $ gem install bundler
    $ bundle install

## Configuration

Copy the `config.yml.example` to `config.yml` and edit it to use your API token. You can add additional tokens to process multiple accounts as well, e.g.:

```
- api_token: api_token_2
  active_tag_name: comics
  deleted_tag_name: archived
- api_token: api_token_3
```

`active_tag_name` and `deleted_tag_name` are optional, and will default to 'serial' and 'serial_deleted', respectively.

## Usage

Read your web serial, and when you get to the end or a stopping place you want to pick up from later, just bookmark the page on pinboard and tag it with your active tag. (by default the active tag is 'serial') You can do this on as many different sites as you want!

### Without Docker

To clean up 'old' bookmarks for each domain, just run:

    $ ./pinboard.rb

This will 'delete' all but the most recent bookmark for each domain. (actually it just replaces the active tag with the deleted tag, and un-shares the bookmark) For best results, run this in a daily cron job!

### With Docker

If you want to containerize this application, build the docker image as above.

You can run with:

    $ docker run --rm -it -v $(pwd)/config.yml:/run/config.yml local/serialboard
